[mapcode] 02/06: Add debian dir
Stefan Fritsch
sf at moszumanska.debian.org
Wed Nov 2 23:26:43 UTC 2016
This is an automated email from the git hooks/post-receive script.
sf pushed a commit to branch master
in repository mapcode.
commit b075697513c6537534193aff025e3c5b3b6e03e4
Author: Stefan Fritsch <sf at sfritsch.de>
Date: Wed Nov 2 17:40:31 2016 +0100
Add debian dir
Based on git://git.debian.org/git/pkg-grass/package_template.git
---
debian/changelog | 5 +++++
debian/compat | 1 +
debian/control | 24 ++++++++++++++++++++++++
debian/copyright | 28 ++++++++++++++++++++++++++++
debian/gbp.conf | 16 ++++++++++++++++
debian/get-orig-source | 45 +++++++++++++++++++++++++++++++++++++++++++++
debian/rules | 23 +++++++++++++++++++++++
debian/source/format | 1 +
debian/watch | 3 +++
9 files changed, 146 insertions(+)
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..81f05ee
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+mapcode (2.5.1-1) UNRELEASED; urgency=medium
+
+ * Initial release (Closes: #842784)
+
+ -- Stefan Fritsch <sf at debian.org> Tue, 01 Nov 2016 22:37:32 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..b4093e1
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,24 @@
+Source: mapcode
+Maintainer: Debian GIS Project <pkg-grass-devel at lists.alioth.debian.org>
+Uploaders: Stefan Fritsch <sf at debian.org>
+Section: misc
+Priority: optional
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcode.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcode.git
+Homepage: http://www.mapcode.com/
+
+Package: mapcode
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Description: Convert geo coordinates to/from mapcodes
+ A mapcode represents a location. Every location on Earth can be
+ represented by a mapcode. Mapcodes were designed to be short, easy to
+ recognise, remember and communicate. They are precise to a few meters,
+ which is good enough for every-day use. Locations in densely populated
+ areas often get shorter mapcodes. See http://www.mapcode.com/
+ .
+ This package contains a command line utility that can convert to and
+ from mapcodes.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..eb80569
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: mapcode-cpp
+Source: https://github.com/mapcode-foundation/mapcode-cpp/releases
+Upstream-Contact: http://www.mapcode.com/
+
+Files: *
+Copyright: © 2014-2016, Stichting Mapcode Foundation (http://www.mapcode.com)
+License: Apache-2.0
+
+Files: debian/*
+Copyright: © 2016, Stefan Fritsch <sf at debian.org>
+License: Apache-2.0
+
+License: Apache-2.0
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+ .
+ http://www.apache.org/licenses/LICENSE-2.0
+ .
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+ .
+ On Debian systems, the full text of the Apache 2.0 License can be found
+ in the file `/usr/share/common-licenses/Apache-2.0'.
diff --git a/debian/gbp.conf b/debian/gbp.conf
new file mode 100644
index 0000000..21d0417
--- /dev/null
+++ b/debian/gbp.conf
@@ -0,0 +1,16 @@
+[DEFAULT]
+
+# The default name for the upstream branch is "upstream".
+# Change it if the name is different (for instance, "master").
+upstream-branch = upstream
+
+# The default name for the Debian branch is "master".
+# Change it if the name is different (for instance, "debian/unstable").
+debian-branch = master
+
+# git-import-orig uses the following names for the upstream tags.
+# Change the value if you are not using git-import-orig
+upstream-tag = upstream/%(version)s
+
+# Always use pristine-tar.
+pristine-tar = True
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..e486809
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,45 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+# http://www.debian.org/doc/debian-policy/ch-source.html
+# "get-orig-source (optional)"
+# This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+# source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+ VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+ uscan --force-download
+else
+ VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+ if echo "$VERSION" | grep -q "upstream-version" ; then
+ echo "Unable to parse version number"
+ exit
+ fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+ mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..0788460
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,23 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables you can
+# include /usr/share/cdbs/1/rules/buildvars.mk
+# and use what is set there. Any hint whether dh might set variables in
+# a similar manner are welcome.
+
+%:
+ dh $@ --parallel
+
+#get-orig-source:
+# . debian/get-orig-source
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..ad27a1f
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,3 @@
+version=3
+
+https://github.com/mapcode-foundation/mapcode-cpp/releases v(.*).tar.gz
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/mapcode.git
More information about the Pkg-grass-devel
mailing list